from geometry_msgs.msg import Point, Pose
from trajectory_msgs.msg import JointTrajectory, JointTrajectoryPoint
from builtin_interfaces.msg import Duration
import rclpy
from rclpy.node import Node

from hexapod_python.ik_publisher_node import IKPublisherNode
from hexapod_python.ik import ik
from hexapod_python.ik_poses import calibration_pose

class IKCalibrationNode(IKPublisherNode):
    def __init__(self):
            super().__init__('ik_calibration')
            ik_values = [ ik(calibration_pose)]
            self.publish_ik_values(ik_values)
            raise SystemExit

def main(args = None):
    rclpy.init(args=args)

    ik_publisher = IKCalibrationNode()
    rclpy.spin_once(ik_publisher)
    ik_publisher.destroy_node()
    rclpy.shutdown()
    